Package com.independentsoft.office.word.math

# Class Nary

java.lang.Object
com.independentsoft.office.word.math.Nary

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class Nary extends Object implements IMathMathElement
The Class Nary.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Nary()`
  Instantiates a new nary.
  `Nary​(InternalXMLStreamReader reader)`
  Instantiates a new nary.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Nary`
  `clone()`
  `Base`
  `getBase()`
  Gets the base.
  `char`
  `getCharacter()`
  Gets the character.
  `List<IContentElement>`
  `getContentElements()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `ExtendedBoolean`
  `getGrow()`
  Gets the grow.
  `ExtendedBoolean`
  `getHideSubscript()`
  Gets the hide subscript.
  `ExtendedBoolean`
  `getHideSuperscript()`
  Gets the hide superscript.
  `LimitLocation`
  `getLimitLocation()`
  Gets the limit location.
  `SubPreSubSuperscript`
  `getSubscript()`
  Gets the subscript.
  `SupSuperscript`
  `getSuperscript()`
  Gets the superscript.
  `void`
  `setBase​(Base baseArgument)`
  Sets the base.
  `void`
  `setCharacter​(char character)`
  Sets the character.
  `void`
  `setGrow​(ExtendedBoolean grow)`
  Sets the grow.
  `void`
  `setHideSubscript​(ExtendedBoolean hideSubscript)`
  Sets the hide subscript.
  `void`
  `setHideSuperscript​(ExtendedBoolean hideSuperscript)`
  Sets the hide superscript.
  `void`
  `setLimitLocation​(LimitLocation limitLocation)`
  Sets the limit location.
  `void`
  `setSubscript​(SubPreSubSuperscript subscript)`
  Sets the subscript.
  `void`
  `setSuperscript​(SupSuperscript superscript)`
  Sets the superscript.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Nary

    public Nary()
    Instantiates a new nary.

  - ### Nary

    public Nary​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new nary.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Nary clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBase

    public Base getBase()
    Gets the base.
    Returns:
      the base

  - ### setBase

    public void setBase​(Base baseArgument)
    Sets the base.
    Parameters:
      `baseArgument` - the new base

  - ### getSubscript

    public SubPreSubSuperscript getSubscript()
    Gets the subscript.
    Returns:
      the subscript

  - ### setSubscript

    public void setSubscript​(SubPreSubSuperscript subscript)
    Sets the subscript.
    Parameters:
      `subscript` - the new subscript

  - ### getSuperscript

    public SupSuperscript getSuperscript()
    Gets the superscript.
    Returns:
      the superscript

  - ### setSuperscript

    public void setSuperscript​(SupSuperscript superscript)
    Sets the superscript.
    Parameters:
      `superscript` - the new superscript

  - ### getCharacter

    public char getCharacter()
    Gets the character.
    Returns:
      the character

  - ### setCharacter

    public void setCharacter​(char character)
    Sets the character.
    Parameters:
      `character` - the new character

  - ### getGrow

    public ExtendedBoolean getGrow()
    Gets the grow.
    Returns:
      the grow

  - ### setGrow

    public void setGrow​(ExtendedBoolean grow)
    Sets the grow.
    Parameters:
      `grow` - the new grow

  - ### getLimitLocation

    public LimitLocation getLimitLocation()
    Gets the limit location.
    Returns:
      the limit location

  - ### setLimitLocation

    public void setLimitLocation​(LimitLocation limitLocation)
    Sets the limit location.
    Parameters:
      `limitLocation` - the new limit location

  - ### getHideSubscript

    public ExtendedBoolean getHideSubscript()
    Gets the hide subscript.
    Returns:
      the hide subscript

  - ### setHideSubscript

    public void setHideSubscript​(ExtendedBoolean hideSubscript)
    Sets the hide subscript.
    Parameters:
      `hideSubscript` - the new hide subscript

  - ### getHideSuperscript

    public ExtendedBoolean getHideSuperscript()
    Gets the hide superscript.
    Returns:
      the hide superscript

  - ### setHideSuperscript

    public void setHideSuperscript​(ExtendedBoolean hideSuperscript)
    Sets the hide superscript.
    Parameters:
      `hideSuperscript` - the new hide superscript

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties